//+------------------------------------------------------------------+
//|                                               EA Trades Test.mq4 |
//|                                                         EATRADES |
//|                                         https://www.EATRADES.com |
//+------------------------------------------------------------------+
#property copyright "EATRADES"
#property link      "https://www.eatrades.com"
#property version   "2.00"
#property description "Hi Dear,\nPlease note that this EA is only for the coding learning purpose and may not make any profit. So we suggest you not to use this on your real account. because by using this EA, you may face losses. \n\nFor more information please visit our website www.eatrades.com\nor email us on eatrades@hotmail.com"
#property strict
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+

input int MagicID=100; // Magic Number
input double Trading_Lots = 0.01; // Trading Lots
input int RSI_PERIOD = 14; // RSI PERIOD
input double Upper_Line = 70; // RSI Upper Line
input double Lower_Line = 30; // RSI Lower Line
int OnInit()
  {
//---
   MessageBox("Hi Dear,\nPlease note that this EA is only for the coding learning purpose and may not make any profit. So we suggest you not to use this on your real account. because by using this EA, you may face losses. \n\nFor more information please visit our website www.eatrades.com\nor email us on eatrades@hotmail.com","Coding Learning Pupose EA Only",0);
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
  
  double rsi1=iRSI(Symbol(),PERIOD_CURRENT,RSI_PERIOD,0,1),rsi0=iRSI(Symbol(),PERIOD_CURRENT,RSI_PERIOD,0,0);

  if(rsi1<Lower_Line&&rsi0>Lower_Line&&buycounts()==0){Open_Buy();CloseSell();}
  if(rsi1>Upper_Line&&rsi0<Upper_Line&&sellcounts()==0){Open_Sell();CloseBuy();}
  }
  
  
 // Functions
 //------------------------------------------------- Open Buy Order
void Open_Buy()
{int open=OrderSend(Symbol(),OP_BUY,Trading_Lots,Ask,1000,0,0,"EATRADES.COM",MagicID,0,clrBlue);}

 //------------------------------------------------- Open Sell Order

void Open_Sell()
{int open=OrderSend(Symbol(),OP_SELL,Trading_Lots,Bid,1000,0,0,"EATRADES.COM",MagicID,0,clrRed);}
 
 
 //------------------------------------------------- checking buy order if available or not?

int buycounts()
  {
   int buys=0;

   for(int i=OrdersTotal()-1; i>=0; i--){
   if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)){
   if(OrderMagicNumber()==MagicID && OrderSymbol()==Symbol()){

         if(OrderType()==OP_BUY)
           {
            buys++;
           }
        }
     }
     }
   return(buys);
  }
 //------------------------------------------------- checking Sell order if available or not?
int sellcounts()
  {
   int sells=0;

   for(int i=OrdersTotal()-1; i>=0; i--){
   if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)){
   if(OrderMagicNumber()==MagicID && OrderSymbol()==Symbol()){

         if(OrderType()==OP_SELL)
           {
            sells++;
           }
        }
     }
     }
   return(sells);
  }
 //------------------------------------------------- Closing Buy Orders
void CloseBuy()
  {
   bool close;
      for(int i=OrdersTotal()-1; i>=0; i--)
        {
         if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
            if(OrderSymbol()==Symbol() && OrderMagicNumber()==MagicID)
               if(OrderType()==OP_BUY)
                  close=OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),100,clrBlue);

     }

  }
 //------------------------------------------------- Closing Sell Orders
void CloseSell()
  {
   bool close;
      for(int i=OrdersTotal()-1; i>=0; i--)
        {
         if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
            if(OrderSymbol()==Symbol() && OrderMagicNumber()==MagicID)
               if(OrderType()==OP_SELL)
                  close=OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),100,clrRed);

     }
  }
   
//------------------------------- Finished